/*
 * Copyright 2012 The Ferris Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package junit.bean;

import static org.junit.Assert.*;

import org.ferris.yahoo.finance.jmce.bean.Message;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 * @author mjr2958
 */
public class MessageTest {
    
    public MessageTest() {
    }
    
    @Test
    public void throwable()
    {
        String s 
            = "Another Shrubbery!!!";
        
        Throwable t                
            = new Throwable(s);
        
        Message m
            = new Message();
        
        m.setThrowable(t);        
        
        assertTrue(m.toString().contains(s));
                
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }   
}
